using SportsDivision.Domain.Entities;

namespace SportsDivision.Domain.Interfaces;

public interface IScoreRepository : IRepository<Score>
{
    Task<IEnumerable<Score>> GetByTournamentEventLevelAsync(int tournamentEventLevelId);
    Task<Score?> GetByRegistrationAsync(int eventRegistrationId);
    Task<IEnumerable<Score>> GetBySchoolAndTournamentAsync(int schoolId, int tournamentId);
}
